package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.DictManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class DictApi {

    @Autowired
    private DictManager dictManager;

    public DictCreateResponse create(DictCreateRequest request) {
        return dictManager.create(request, LocalData.getToken());
    }

    public DictDeleteResponse delete(DictDeleteRequest request) {
        return dictManager.delete(request, LocalData.getToken());
    }

    public DictUpdateResponse update(DictUpdateRequest request) {
        return dictManager.update(request, LocalData.getToken());
    }

    public DictFindResponse find(DictFindRequest request) {
        return dictManager.find(request, LocalData.getToken());
    }

    public DictGetResponse get(DictGetRequest request) {
        return dictManager.get(request, LocalData.getToken());
    }

    public DictLoadResponse load(DictLoadRequest request) {
        return dictManager.load(request, LocalData.getToken());
    }
}
